<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>VoiceCatalog (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VoiceCatalog (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VoiceCatalog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/TruckRestrictionNotification.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.Error.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/VoiceCatalog.html" target="_top">Frames</a></li>
<li><a href="VoiceCatalog.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.guidance</div>
<h2 title="Class VoiceCatalog" class="title">Class VoiceCatalog</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.guidance.VoiceCatalog</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">VoiceCatalog</span>
extends java.lang.Object</pre>
<div class="block">Manages the voice catalog used to download new voice skins.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.Error.html" title="enum in com.here.android.mpa.guidance">VoiceCatalog.Error</a></span></code>
<div class="block">Error codes for <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnDownloadDoneListener.html" title="interface in com.here.android.mpa.guidance"><code>VoiceCatalog.OnDownloadDoneListener</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnDownloadDoneListener.html" title="interface in com.here.android.mpa.guidance">VoiceCatalog.OnDownloadDoneListener</a></span></code>
<div class="block">Callback from report that the voice catalog/package download is done</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnProgressListener.html" title="interface in com.here.android.mpa.guidance">VoiceCatalog.OnProgressListener</a></span></code>
<div class="block">Callback to report the catalog/package download progress.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#ID_BEEPS_VIBRATE">ID_BEEPS_VIBRATE</a></span></code>
<div class="block">Pass this to <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#getLocalVoiceSkin-long-"><code>VoiceCatalog.getLocalVoiceSkin(long)</code></a> to get the locally deployed skin for beeps and
 vibration.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#cancel--">cancel</a></span>()</code>
<div class="block">Cancels any current downloads</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#deleteVoiceSkin-long-">deleteVoiceSkin</a></span>(long id)</code>
<div class="block">Deletes a voice skin by voice skin id from the file system Once deletion is complete the
 voice catalog is refreshed</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#deleteVoiceSkin-com.here.android.mpa.guidance.VoiceSkin-">deleteVoiceSkin</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a> skin)</code>
<div class="block">Deletes a voice skin from the file system.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#downloadCatalog-com.here.android.mpa.guidance.VoiceCatalog.OnDownloadDoneListener-">downloadCatalog</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnDownloadDoneListener.html" title="interface in com.here.android.mpa.guidance">VoiceCatalog.OnDownloadDoneListener</a> listener)</code>
<div class="block">Start downloading the catalog for the current device locale language.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#downloadVoice-long-com.here.android.mpa.guidance.VoiceCatalog.OnDownloadDoneListener-">downloadVoice</a></span>(long id,
             <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnDownloadDoneListener.html" title="interface in com.here.android.mpa.guidance">VoiceCatalog.OnDownloadDoneListener</a> listener)</code>
<div class="block">Start downloading voice package with given identifier.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/guidance/VoicePackage.html" title="class in com.here.android.mpa.guidance">VoicePackage</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#getCatalogList--">getCatalogList</a></span>()</code>
<div class="block">Get the voice package description from the local catalog.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html" title="class in com.here.android.mpa.guidance">VoiceCatalog</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Get access to the VoiceCatalog Singleton.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#getLocalVoiceSkin-long-">getLocalVoiceSkin</a></span>(long id)</code>
<div class="block">Get the voice using a specific identifier from the local storage.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#getLocalVoiceSkins--">getLocalVoiceSkins</a></span>()</code>
<div class="block">Get the voice list from the local storage.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#isDownloading--">isDownloading</a></span>()</code>
<div class="block">Checks if the <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html" title="class in com.here.android.mpa.guidance"><code>VoiceCatalog</code></a> is downloading</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#isLocalCatalogAvailable--">isLocalCatalogAvailable</a></span>()</code>
<div class="block">Check if the voice catalog for the current device locale is available in local storage.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#isLocalVoiceSkin-long-">isLocalVoiceSkin</a></span>(long id)</code>
<div class="block">Check if voice skin with given id is locally stored.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#refreshVoiceSkins--">refreshVoiceSkins</a></span>()</code>
<div class="block">Method to refresh the list of voice skins on the file system Note: If there are any pending
 downloads, it will be cancelled before the list is refreshed.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#setOnProgressEventListener-com.here.android.mpa.guidance.VoiceCatalog.OnProgressListener-">setOnProgressEventListener</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnProgressListener.html" title="interface in com.here.android.mpa.guidance">VoiceCatalog.OnProgressListener</a> listener)</code>
<div class="block">Register VoiceCatalog download progress listener.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ID_BEEPS_VIBRATE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ID_BEEPS_VIBRATE</h4>
<pre>public static final int ID_BEEPS_VIBRATE</pre>
<div class="block">Pass this to <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#getLocalVoiceSkin-long-"><code>VoiceCatalog.getLocalVoiceSkin(long)</code></a> to get the locally deployed skin for beeps and
 vibration. The beeps and vibration skin is not part of the online catalog.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.here.android.mpa.guidance.VoiceCatalog.ID_BEEPS_VIBRATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html" title="class in com.here.android.mpa.guidance">VoiceCatalog</a> getInstance()</pre>
<div class="block">Get access to the VoiceCatalog Singleton.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>VoiceCatalog instance</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.security.AccessControlException</code> - Access to this operation is denied. Contact your HERE representative for more
             information.</dd>
</dl>
</li>
</ul>
<a name="deleteVoiceSkin-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteVoiceSkin</h4>
<pre>public boolean deleteVoiceSkin(long id)</pre>
<div class="block">Deletes a voice skin by voice skin id from the file system Once deletion is complete the
 voice catalog is refreshed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - The Id of the Voice Skin to be deleted</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if voice skin is successfully deleted, <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="deleteVoiceSkin-com.here.android.mpa.guidance.VoiceSkin-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteVoiceSkin</h4>
<pre>public boolean deleteVoiceSkin(<a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a> skin)</pre>
<div class="block">Deletes a voice skin from the file system. Once deletion is complete the voice catalog is
 refreshed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>skin</code> - <a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance"><code>VoiceSkin</code></a> to delete</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if successful, false otherwise</dd>
</dl>
</li>
</ul>
<a name="downloadCatalog-com.here.android.mpa.guidance.VoiceCatalog.OnDownloadDoneListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>downloadCatalog</h4>
<pre>public boolean downloadCatalog(<a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnDownloadDoneListener.html" title="interface in com.here.android.mpa.guidance">VoiceCatalog.OnDownloadDoneListener</a> listener)</pre>
<div class="block">Start downloading the catalog for the current device locale language. Catalog file is then
 stored locally for future access.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Download completion listener.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if download initialization is successful, otherwise <code>false</code> is
         returned. Use <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#isDownloading--"><code>VoiceCatalog.isDownloading()</code></a> to check if there is already an outstanding
         voice catalog download request that causes <code>false</code> to be returned.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#isDownloading--"><code>VoiceCatalog.isDownloading()</code></a></dd>
</dl>
</li>
</ul>
<a name="downloadVoice-long-com.here.android.mpa.guidance.VoiceCatalog.OnDownloadDoneListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>downloadVoice</h4>
<pre>public boolean downloadVoice(long id,
                             <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnDownloadDoneListener.html" title="interface in com.here.android.mpa.guidance">VoiceCatalog.OnDownloadDoneListener</a> listener)</pre>
<div class="block">Start downloading voice package with given identifier.

 Note: only one voice package download at time is possible.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - Voice package identifier.</dd>
<dd><code>listener</code> - Download completion listener.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if download is initialized successfully. <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="getCatalogList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCatalogList</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/guidance/VoicePackage.html" title="class in com.here.android.mpa.guidance">VoicePackage</a>&gt; getCatalogList()</pre>
<div class="block">Get the voice package description from the local catalog. If no catalog matching the device's
 current locale is present, the list of voice package(s) in the most recently used local voice
 catalog will be returned instead. In the event this last known local voice catalog is not
 available, an empty list will be returned.
 <p>
 When device locale is changed, user must call <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#refreshVoiceSkins--"><code>VoiceCatalog.refreshVoiceSkins()</code></a> to reload the
 voice catalog that adheres to the new locale language. If the voice catalog associated with
 the new locale language is not available locally, this method will default back to the most
 recently used local catalog. Therefore, users are recommended to check if there is a local
 catalog available of the device's current locale by calling
 <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#isLocalCatalogAvailable--"><code>VoiceCatalog.isLocalCatalogAvailable()</code></a>. If the local catalog is unavailable, call
 <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#downloadCatalog-com.here.android.mpa.guidance.VoiceCatalog.OnDownloadDoneListener-"><code>downloadCatalog(OnDownloadDoneListener)</code></a>
 to download of the voice catalog for the new locale language.
 </p>
 <p>
 Occasionally, an existing catalog can also become obsolete and returns an empty voice package
 <code>List</code>. This will require the download of the voice catalog again.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>List</code> of <code>VoicePackage</code> objects. An empty <code>List</code> can be
         returned.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#downloadCatalog-com.here.android.mpa.guidance.VoiceCatalog.OnDownloadDoneListener-"><code>VoiceCatalog.downloadCatalog(VoiceCatalog.OnDownloadDoneListener)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/Map.html#setMapDisplayLanguage-java.util.Locale-"><code>Map.setMapDisplayLanguage(java.util.Locale)</code></a></dd>
</dl>
</li>
</ul>
<a name="isLocalCatalogAvailable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLocalCatalogAvailable</h4>
<pre>public boolean isLocalCatalogAvailable()</pre>
<div class="block">Check if the voice catalog for the current device locale is available in local storage. If
 not, user can download it using <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html#downloadCatalog-com.here.android.mpa.guidance.VoiceCatalog.OnDownloadDoneListener-"><code>downloadCatalog(OnDownloadDoneListener)</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the voice catalog is available in local storage. <code>false</code>
         otherwise.</dd>
</dl>
</li>
</ul>
<a name="getLocalVoiceSkin-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocalVoiceSkin</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a> getLocalVoiceSkin(long id)</pre>
<div class="block">Get the voice using a specific identifier from the local storage. If no voice with the
 identifier is present, an null reference is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - VoiceSkin identifier.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>VoiceSkin if found. Null otherwise.</dd>
</dl>
</li>
</ul>
<a name="getLocalVoiceSkins--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocalVoiceSkins</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a>&gt; getLocalVoiceSkins()</pre>
<div class="block">Get the voice list from the local storage. If no voice is present an empty array is returned</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Array of VoiceSkin objects (can be empty).</dd>
</dl>
</li>
</ul>
<a name="isDownloading--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDownloading</h4>
<pre>public boolean isDownloading()</pre>
<div class="block">Checks if the <a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html" title="class in com.here.android.mpa.guidance"><code>VoiceCatalog</code></a> is downloading</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if downloading, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="isLocalVoiceSkin-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLocalVoiceSkin</h4>
<pre>public boolean isLocalVoiceSkin(long id)</pre>
<div class="block">Check if voice skin with given id is locally stored.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - Voice skin identifier.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if voice skin with given id is locally stored.</dd>
</dl>
</li>
</ul>
<a name="refreshVoiceSkins--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshVoiceSkins</h4>
<pre>public void refreshVoiceSkins()</pre>
<div class="block">Method to refresh the list of voice skins on the file system Note: If there are any pending
 downloads, it will be cancelled before the list is refreshed. After calling this function,
 clients can get the updated catalog list by calling getCatalogList()</div>
</li>
</ul>
<a name="cancel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>public void cancel()</pre>
<div class="block">Cancels any current downloads</div>
</li>
</ul>
<a name="setOnProgressEventListener-com.here.android.mpa.guidance.VoiceCatalog.OnProgressListener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setOnProgressEventListener</h4>
<pre>public void setOnProgressEventListener(<a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnProgressListener.html" title="interface in com.here.android.mpa.guidance">VoiceCatalog.OnProgressListener</a> listener)</pre>
<div class="block">Register VoiceCatalog download progress listener.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Download progress listener.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VoiceCatalog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/TruckRestrictionNotification.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.Error.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/VoiceCatalog.html" target="_top">Frames</a></li>
<li><a href="VoiceCatalog.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
